Page MenuHomePhabricator

Drop flow_subscription table
Closed, ResolvedPublic

Description

It's unused, and the one in flowdb on x1 is empty, so instead of giving it a PK we should just drop it.

Event Timeline

Catrope created this task.Nov 3 2016, 6:25 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptNov 3 2016, 6:25 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 319642 had a related patch set uploaded (by Catrope):
Delete unused flow_subscription table

https://gerrit.wikimedia.org/r/319642

jcrespo added a subscriber: jcrespo.Nov 7 2016, 9:32 AM

Looks good, waiting on code deployment for production deploy- then this or a subticket should be added as a subtask of ticket: T54921: Database tables to be dropped on Wikimedia wikis and other WMF databases (tracking)

Change 319642 merged by jenkins-bot:
Delete unused flow_subscription table

https://gerrit.wikimedia.org/r/319642

Looks good, waiting on code deployment for production deploy

The code is deployed now.

Done.

Marostegui moved this task from Triage to Backlog on the DBA board.Dec 2 2016, 7:28 AM
Marostegui added a subscriber: Marostegui.

Thanks! We will take it from here!

Those are not considered schema changes for us, at least not for now. We use tracking task T54921 for that. The difference is that these do not "block" anyone.

jcrespo triaged this task as Low priority.Apr 28 2017, 3:18 PM

It's unused

@Catrope the one in officewiki (s3) is also empty. Can that one be dropped as well?

Mentioned in SAL (#wikimedia-operations) [2018-04-16T06:20:08Z] <marostegui> Drop table flow_subscription from x1 - T149936

Marostegui moved this task from Backlog to In progress on the DBA board.

flow_subscription has been deleted from x1.
It was empty, so no backup is needed. It didn't have any writes since 2015.
This is the structure, for the record:

CREATE TABLE `flow_subscription` (
  `subscription_workflow_id` int(10) unsigned NOT NULL,
  `subscription_user_id` bigint(20) unsigned NOT NULL,
  `subscription_create_timestamp` varbinary(14) NOT NULL,
  `subscription_last_updated` varbinary(14) NOT NULL,
  `subscription_user_wiki` varbinary(64) NOT NULL,
  UNIQUE KEY `flow_subscription_unique_user_workflow` (`subscription_workflow_id`,`subscription_user_id`,`subscription_user_wiki`),
  KEY `flow_subscription_lookup` (`subscription_user_id`,`subscription_user_wiki`,`subscription_last_updated`,`subscription_workflow_id
) ENGINE=InnoDB DEFAULT CHARSET=binary

@Catrope let me know about the one in s3 (it has no writes since 2015 either and it is empty)

@Catrope let me know about the one in s3 (it has no writes since 2015 either and it is empty)

That should be OK to delete too.

Thanks! I will drop this table on Monday - for the sake of not dropping a table on a Friday :-)

Mentioned in SAL (#wikimedia-operations) [2018-04-23T05:28:54Z] <marostegui> flow_subscription empty table from officewiki - T149936

Marostegui closed this task as Resolved.Apr 23 2018, 5:29 AM

I have dropped this table on s3 primary master.
It was an empty table.